# Add Label Proof

POST /{labelId}/proof

#### Description

Adds a new proof item to a specified label, associating the evidence with that label for easier organization and tracking.

This endpoint allows the uploading of multi part form data (files) to be linked as new proof on a label.

The response from this call will return the id of the new proof.

Endpoint: POST /{labelId}/proof
Version: 1.0
Security: oauth2

## Path parameters:

  - `labelId` (string, required)
    Unique ID of the label.

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier for the proof item
    Example: "4eb909de-51af-11ee-a644-522476618ae8"

  - `orgId` (string)
    Unique identifier for the organization
    Example: "ce83e3cd-5199-11ee-a644-522476618ae8"

  - `filename` (string)
    Name of the uploaded file
    Example: "example.txt"

  - `nameOverride` (string)
    Name of proof Hyperproof given by Hyperproof user

  - `contentType` (string)
    MIME type of the file (e.g.,text/plain)
    Example: "text/plain"

  - `fileExtension` (string)
    File extension (e.g.,txt)
    Example: "txt"

  - `size` (number)
    File size in bytes
    Example: 627

  - `version` (integer)
    Version of the proof item

  - `source` (string)
    Source of the file (e.g.,localComputer)
    Example: "localComputer"

  - `sourceVersion` (integer)
    The version of the proof maintained by the source system

  - `ownedBy` (string)
    Unique identifier of the user who owns the proof item
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `isPrivate` (boolean)
    Whether the proof item is private

  - `uploadedOn` (string)
    The date the proof was uploaded (ISO-8601 format)
    Example: "2023-09-12T20:59:47.694353Z"

  - `status` (string)
    Status of the proof item
    Enum: "active", "archived", "deleted", "pending", "canceled"

  - `createdBy` (string)
    Unique identifier of the user who created the proof item
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `createdOn` (string)
    The date the proof was created (ISO-8601 format)
    Example: "2023-09-12T20:59:47.694353Z"

  - `updatedBy` (string)
    Unique identifier of the user who last updated the proof item
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `updatedOn` (string)
    The date the proof was updated (ISO-8601 format)
    Example: "2023-09-12T20:59:47.694353Z"


